Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.filebuffers
Interface ITextFileBufferManager

All Superinterfaces:
  IFileBufferManager

public interface ITextFileBufferManager
extends IFileBufferManager

A text file buffer manager manages text file buffers for files whose contents is considered text.

Since:
  3.0

Method Summary
`IAnnotationModel` | `createAnnotationModel(IPath location)` Creates a new annotation for the given location.
`IDocument` | `createEmptyDocument(IPath location)` Creates a new empty document .
`String` | `getDefaultEncoding()` Returns the default encoding that is used to read the contents of text files if no other encoding is specified.
`ITextFileBuffer` | `getTextFileBuffer(IPath location)` Returns the text file buffer managed for the file at the given location or `null` if either there is no such text file buffer.

Methods inherited from interface org.eclipse.core.filebuffers.IFileBufferManager
`addFileBufferListener, connect, disconnect, getFileBuffer, releaseSynchronizationContext, removeFileBufferListener, requestSynchronizationContext, setSynchronizationContext`

Method Detail

### getTextFileBuffer

    public ITextFileBuffer getTextFileBuffer(IPath location)

  Returns the text file buffer managed for the file at the given location or `null` if either there is no such text file buffer.

  The provided location is either a full path of a workspace resource or an absolute path in the local file system. The file buffer manager does not resolve the location of workspace resources in the case of linked resources.

  Parameters:
    `location` - the location
  Returns:
    the text file buffer managed for that location or `null`

### getDefaultEncoding

    public String getDefaultEncoding()

  Returns the default encoding that is used to read the contents of text files if no other encoding is specified.

  Returns:
    the default text file encoding

### createEmptyDocument

    public IDocument createEmptyDocument(IPath location)

  Creates a new empty document . The document is set up in the same way as it would be used in a text file buffer for a file at the given location.

  The provided location is either a full path of a workspace resource or an absolute path in the local file system. The file buffer manager does not resolve the location of workspace resources in the case of linked resources.

  Parameters:
    `location` - the location used to set up the newly created document
  Returns:
    a new empty document

### createAnnotationModel

    public IAnnotationModel createAnnotationModel(IPath location)

  Creates a new annotation for the given location.

  Parameters:
    `location` - the location
  Returns:
    the newly created annotation model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.